/* ===========================================================================

  irisNetRmtCmd.h    Global variables and functions for irisNetRmtCmd.h 

=============================================================================*/
#ifndef IRISNET_RMTCMD_H
#define IRISNET_RMTCMD_H

#ifdef IRISNET_RMTCMD_ALLOCATE
#define EXTERN
#else
#define EXTERN extern
#endif

class IrisNetRmtCmd
{
  private :
    void runLocalUtility(char *hostname_a, int cmdtype_a);
    void runRemoteUtility(char *hostname_a, const char *display_a, int cmdtype_a);
  public :
    IrisNetRmtCmd(void);
    void copyData(char *copy_from_hostname_a, char *copy_to_hostname_a,
        int data_type_a);
    void irisVersion(char *hostname_a, int isite_num_a);
    void runUtility(char *hostname_a, const char *display_a, int cmdtype_a);
};
EXTERN IrisNetRmtCmd irisNetRmtCmd;

#undef EXTERN
#endif

